<app-loading *ngIf="isLoading"></app-loading>
<div class="content-header">
  <div *ngIf="!isDetailAprrove && !isDetailList"                                                                                                                                                                                                                                                                                            >
    <mb-button (click)="backToList()" mbButtonSize="MEDIUM" mbButtonText="{{'polManagement.button.cancel' | translate}}"
               mbButtonTextColor="#141ED2">
    </mb-button>
    <mb-button (click)="save()" mbButtonAvailableStyle="PRIMARY"
               mbButtonSize="LARGE" mbButtonText="{{'common.button.sendAndSend' | translate}}"
               mbButtonType="NO_BORDER"></mb-button>
  </div>
  <div *ngIf="isDetailAprrove">
    <mb-button (click)="approveOrRejectAllowanceProcess(false)" mbButtonSize="MEDIUM" mbButtonText="{{'common.button.reject' | translate}}"
               mbButtonTextColor="#141ED2">
    </mb-button>
    <mb-button mbButtonAvailableStyle="PRIMARY"
               mbButtonSize="LARGE" mbButtonText="{{'common.button.approved' | translate}}"
               mbButtonType="NO_BORDER" (click)="approveOrRejectAllowanceProcess(true)"></mb-button>
  </div>
</div>
<nz-card class="allowance-detail-card">
  <div nz-col nzSpan="24" style="margin-bottom: 1rem" *ngIf="isDetailAprrove">
    <mb-input-text mbType="default" mbLabelText="{{'polManagement.label.reasonRjAp' | translate}}" [mbMaxLength]="4000" [defaultInput]="true" [mbIsTextAre]="true"
                   [mbConfig]="{autoSize:true, rows:1 , placeholder:''}" [removeMinHeight]="true" [mbIsTextAreAutoResize]="true"
                   [mbType]="(isSubmit && !description) ?  'error' : 'default'"
                   [mbShowError]="isSubmit && !description"
                   [mbErrors]="{required:true}"
                   [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'polManagement.validate.reasonReject' | translate }]"
                   [(ngModel)]="description">
    </mb-input-text>
  </div>
  <div>
    <label class="allowance-detail-card__label">{{'polManagement.label.empoyeeInfo' | translate}}</label>
    <div class="allowance-detail-card__row" nz-row>
      <div class="allowance-detail-card__left" nz-col nzSpan="8">
        <div style="position: relative" *ngIf="!objectData?.isEdit && !isDetailAprrove && !isDetailList">
          <hcm-mfe-employee-data-search-policy [(ngModel)]="employee" [mbCanText]="true" mbLabelText="{{'polManagement.label.employeeCode' | translate}} <span class='label__required'>*</span>"
                                               [ngModelOptions]="{standalone: true}" [multiple]="true" [isHideFullName]="true"
                                               [(selected)]='selected' [functionCode]="functionCode"
                                               (selectedChange)="onChange($event)" [mbType]="isSubmitted && !bodyRequest.employeeId ? 'error' : 'default'">
          </hcm-mfe-employee-data-search-policy>
          <div *ngIf="isSubmitted && !bodyRequest.employeeId" class="text-message">
            <em nz-icon nzType="close-circle" nzTheme="outline"></em>
            <span class="text-message__error">{{'polManagement.validate.required' | translate: {'param': 'polManagement.label.employeeCode' | translate} }}</span>
          </div>
        </div>
        <div style="position: relative" *ngIf="objectData?.isEdit || isDetailAprrove || isDetailList">
          <mb-input-text
            [(ngModel)]="infoEmployee.employeeCode"
            [defaultInput]="true"
            [mbDisable]="true"
            mbLabelText="{{'polManagement.label.employeeCode' | translate}} <span class='label__required'>*</span>"
            mbPlaceholderText=""
            mbType="default"
          >
          </mb-input-text>
        </div>
      </div>
      <div class="allowance-detail-card__left" nz-col nzSpan="8">
        <div style="position: relative">
          <mb-input-text
            [(ngModel)]="infoEmployee.fullName"
            [defaultInput]="true"
            [mbDisable]="true"
            mbLabelText="{{'polManagement.label.fullName' | translate}}"
            mbPlaceholderText=""
            mbType="default"
          >
          </mb-input-text>
        </div>
      </div>
      <div class="allowance-detail-card__left" nz-col nzSpan="8">
        <div style="position: relative">
          <mb-input-text
            [(ngModel)]="infoEmployee.orgName"
            [defaultInput]="true"
            [mbDisable]="true"
            mbLabelText="{{'polManagement.label.org' | translate}}"
            mbPlaceholderText=""
            mbType="default"
          >
          </mb-input-text>
        </div>
      </div>
    </div>
    <div class="allowance-detail-card__row" nz-row>
      <div class="allowance-detail-card__left" nz-col nzSpan="8">
        <div style="position: relative">
          <mb-input-text
            [(ngModel)]="infoEmployee.jobName"
            [defaultInput]="true"
            [mbDisable]="true"
            mbLabelText="{{'polManagement.label.jobName' | translate}}"
            mbPlaceholderText=""
            mbType="default"
          >
          </mb-input-text>
        </div>
      </div>
      <div class="allowance-detail-card__left" nz-col nzSpan="8">
        <div style="position: relative">
          <mb-input-text
            [(ngModel)]="infoEmployee.levelName"
            [defaultInput]="true"
            [mbDisable]="true"
            mbLabelText="{{'polManagement.label.level' | translate}}"
            mbPlaceholderText=""
            mbType="default"
          >
          </mb-input-text>
        </div>
      </div>
      <div class="allowance-detail-card__left" nz-col nzSpan="8">
        <div style="position: relative">
          <mb-input-text
            [(ngModel)]="infoEmployee.positionName"
            [defaultInput]="true"
            [mbDisable]="true"
            mbLabelText="{{'polManagement.label.position' | translate}}"
            mbPlaceholderText=""
            mbType="default"
          >
          </mb-input-text>
        </div>
      </div>
    </div>
    <div class="allowance-detail-card__row" nz-row>
      <div class="allowance-detail-card__left" nz-col nzSpan="8">
        <div style="position: relative">
          <mb-input-text
            [(ngModel)]="infoEmployee.salaryRange"
            [defaultInput]="true"
            [mbDisable]="true"
            mbLabelText="{{'polManagement.label.salaryGrade' | translate}}"
            mbPlaceholderText=""
            mbType="default"
          >
          </mb-input-text>
        </div>
      </div>
      <div class="allowance-detail-card__left" nz-col nzSpan="8">
        <div style="position: relative">
          <mb-input-text
            [(ngModel)]="infoEmployee.contractTypeName"
            [defaultInput]="true"
            [mbDisable]="true"
            mbLabelText="{{'polManagement.label.contractType' | translate}}"
            mbPlaceholderText=""
            mbType="default"
          >
          </mb-input-text>
        </div>
      </div>
      <div class="allowance-detail-card__left" nz-col nzSpan="8">
        <div style="position: relative">
          <mb-input-text
            [(ngModel)]="infoEmployee.organizationScale"
            [defaultInput]="true"
            [mbDisable]="true"
            mbLabelText="{{'polManagement.label.branchScale' | translate}}"
            mbPlaceholderText=""
            mbType="default"
          >
          </mb-input-text>
        </div>
      </div>
    </div>
    <div class="allowance-detail-card__row" nz-row>
      <div class="allowance-detail-card__left" nz-col nzSpan="8">
        <div style="position: relative">
          <mb-input-text
            [(ngModel)]="infoEmployee.zoneName"
            [defaultInput]="true"
            [mbDisable]="true"
            mbLabelText="{{'polManagement.label.partition' | translate}}"
            mbPlaceholderText=""
            mbType="default"
          >
          </mb-input-text>
        </div>
      </div>
      <div class="allowance-detail-card__left" nz-col nzSpan="8">
        <div style="position: relative">
          <mb-input-text
            [(ngModel)]="infoEmployee.regionName"
            [defaultInput]="true"
            [mbDisable]="true"
            mbLabelText="{{'polManagement.label.region' | translate}}"
            mbPlaceholderText=""
            mbType="default"
          >
          </mb-input-text>
        </div>
      </div>
      <div class="allowance-detail-card__left" nz-col nzSpan="8">
        <div style="position: relative">
          <mb-input-text
            [(ngModel)]="infoEmployee.flagStatus"
            [defaultInput]="true"
            [mbDisable]="true"
            mbLabelText="{{'polManagement.label.status' | translate}}"
            mbPlaceholderText=""
            mbType="default"
          >
          </mb-input-text>
        </div>
      </div>
    </div>
  </div>
  <div>
    <label class="allowance-detail-card__label">{{'polManagement.label.allowanceInfo' | translate}}</label>
    <div class="allowance-detail-card__row" nz-row>
      <div class="allowance-detail-card__left" nz-col nzSpan="8">
        <div style="position: relative">
          <mb-select
            [mbDataSelects]="listTypeAllowance"
            mbKeyLabel="prAllowanceName"
            mbKeyValue="prAllowanceId"
            mbLabelText="{{'polManagement.label.allowanceType' | translate}} <span class='label__required'>*</span>"
            [mbType]="isSubmitted && !bodyRequest.prAllowanceId ? 'error' : 'default'"
            mbPlaceholder=""
            [mbDisable]="isDetailAprrove || isDetailList"
            [mbOptionHeightPx]="58"
            [(ngModel)]="bodyRequest.prAllowanceId"
          ></mb-select>
          <div *ngIf="isSubmitted && !bodyRequest.prAllowanceId" class="text-message">
            <em nz-icon nzType="close-circle" nzTheme="outline"></em>
            <span class="text-message__error">{{'polManagement.validate.required' | translate: {'param': 'polManagement.label.allowanceType' | translate} }}</span>
          </div>
        </div>
      </div>
      <div class="allowance-detail-card__left" nz-col nzSpan="8">
        <div style="position: relative">
          <mb-date-picker [mbMode]="'date'"
                          [mbDisabled]="isDetailAprrove || isDetailList"
                          mbLabelText="{{'polManagement.label.fromDate' | translate}} <span class='label__required'>*</span>"
                          [mbType]="isSubmitted && !fromDate ? 'error' : 'default'"
                          [(ngModel)]="fromDate"
                          (ngModelChange)="onChangeSelectDate($event)">
          </mb-date-picker>
          <div *ngIf="isSubmitted && !fromDate" class="text-message">
            <em nz-icon nzType="close-circle" nzTheme="outline"></em>
            <span *ngIf="isSubmitted && !fromDate" class="text-message__error">{{'polManagement.validate.required' | translate: {'param': 'polManagement.label.fromDate' | translate} }}</span>
          </div>
        </div>
      </div>
      <div class="allowance-detail-card__left" nz-col nzSpan="8">
        <div style="position: relative">
          <mb-date-picker [mbMode]="'date'"
                          [mbDisabled]="isDetailAprrove || isDetailList"
                          mbLabelText="{{'polManagement.label.toDate' | translate}}"
                          [mbType]="invalidDate ? 'error' : 'default'"
                          [(ngModel)]="toDate"
                          (ngModelChange)="onChangeSelectDate($event)">
          </mb-date-picker>
          <div *ngIf="invalidDate" class="text-message">
            <em nz-icon nzType="close-circle" nzTheme="outline"></em>
            <span class="text-message__error">{{'polManagement.message.toDate' | translate }}</span>
          </div>
        </div>
      </div>
    </div>
    <div class="allowance-detail-card__row" nz-row>
      <div class="allowance-detail-card__left" nz-col nzSpan="8">
        <div style="position: relative">
          <mb-input-text
            [(ngModel)]="bodyRequest.amount"
            (mbBlur)="formatToCurrency(formatToNumber(bodyRequest.amount), 'currencyNumber')"
            (mbChange)="formatToCurrency(formatToNumber(bodyRequest.amount), 'currencyNumber')"
            (keypress)="onKeyPress($event)"
            [mbDisable]="isDetailAprrove || isDetailList"
            [mbType]="isSubmitted && !tmpAmount ? 'error' : 'default'"
            mbLabelText="{{'polManagement.label.money' | translate}} <span class='label__required'>*</span>"
            mbPlaceholderText=""
          >
          </mb-input-text>
          <div *ngIf="isSubmitted && !tmpAmount" class="text-message">
            <em nz-icon nzType="close-circle" nzTheme="outline"></em>
            <span class="text-message__error">{{'polManagement.validate.required' | translate: {'param': 'polManagement.label.money' | translate} }}</span>
          </div>
        </div>
      </div>
      <div class="allowance-detail-card__left" nz-col nzSpan="8">
        <div style="position: relative">
          <mb-select
            [mbDataSelects]="listTypeCurrency"
            mbKeyLabel="lvaMean"
            mbKeyValue="lvaValue"
            [mbType]="isSubmitted && !bodyRequest.currency ? 'error' : 'default'"
            mbLabelText="{{'polManagement.label.curCode' | translate}} <span class='label__required'>*</span>"
            mbPlaceholder=""
            [mbDisable]="isDetailAprrove || isDetailList"
            [mbOptionHeightPx]="58"
            [(ngModel)]="bodyRequest.currency"
          ></mb-select>
          <div *ngIf="isSubmitted && !bodyRequest.currency" class="text-message">
            <em nz-icon nzType="close-circle" nzTheme="outline"></em>
            <span class="text-message__error">{{'polManagement.validate.required' | translate: {'param': 'polManagement.label.curCode' | translate} }}</span>
          </div>
        </div>
      </div>
      <div class="allowance-detail-card__left" nz-col nzSpan="8">
        <div style="position: relative">
          <mb-input-text
            [(ngModel)]="bodyRequest.note"
            [defaultInput]="true"
            [mbDisable]="isDetailAprrove || isDetailList"
            [mbMaxLength]="50"
            mbLabelText="{{'polManagement.label.note' | translate}}"
            mbPlaceholderText=""
            mbType="default"
          >
          </mb-input-text>
        </div>
      </div>
    </div>
    <div *ngIf="isDetailAprrove" class="allowance-detail-card__row" nz-row>
      <div class="allowance-detail-card__left" nz-col nzSpan="8">
        <div style="position: relative">
          <mb-date-picker
            [(ngModel)]="infoEmployee.lastUpdatedDate"
            mbLabelText="{{'polManagement.label.lastUpdateDate' | translate}}"
            mbPlaceholderText=" "
            [mbDisabled]="true"
          >
          </mb-date-picker>
        </div>
      </div>
      <div class="allowance-detail-card__left" nz-col nzSpan="8">
        <div style="position: relative">
          <mb-input-text
            [(ngModel)]="infoEmployee.lastUpdatedBy"
            [defaultInput]="true"
            [mbDisable]="true"
            mbLabelText="{{'polManagement.label.lastUpdatedBy' | translate}}"
            mbPlaceholderText=""
            mbType="default"
          >
          </mb-input-text>
        </div>
      </div>
      <div class="allowance-detail-card__left" nz-col nzSpan="8">
        <div style="position: relative">
          <mb-input-text
            [(ngModel)]="infoEmployee.reason"
            [defaultInput]="true"
            [mbDisable]="true"
            mbLabelText="Lý do phê duyệt/từ chối"
            mbPlaceholderText=""
            mbType="default"
          >
          </mb-input-text>
        </div>
      </div>
    </div>
    <div *ngIf="isDetailAprrove" class="allowance-detail-card__row" nz-row>
      <div class="allowance-detail-card__left" nz-col nzSpan="8">
        <div style="position: relative">
          <mb-date-picker
            [(ngModel)]="infoEmployee.approveDate"
            [mbDisabled]="true"
            mbLabelText="{{'polManagement.label.approveDate' | translate}}"
            mbPlaceholderText=" "
            mbType="default"
          >
          </mb-date-picker>
        </div>
      </div>
      <div class="allowance-detail-card__left" nz-col nzSpan="8">
        <div style="position: relative">
          <mb-input-text
            [(ngModel)]="infoEmployee.approver"
            [defaultInput]="true"
            [mbDisable]="true"
            mbLabelText="{{'polManagement.label.approver' | translate}}"
            mbPlaceholderText=""
            mbType="default"
          >
          </mb-input-text>
        </div>
      </div>
    </div>
  </div>
</nz-card>
